package com.ruoyi.bst.order.service;

import java.util.List;
import com.ruoyi.bst.order.domain.Order;
import com.ruoyi.bst.order.domain.OrderVO;
import com.ruoyi.bst.order.domain.OrderQuery;

/**
 * 订单列表Service接口
 *
 * @author ruoyi
 * @date 2025-04-26
 */
public interface OrderService
{
    /**
     * 查询订单列表
     *
     * @param id 订单列表主键
     * @return 订单列表
     */
    public OrderVO selectOrderById(Long id);

    /**
     * 查询订单列表列表
     *
     * @param order 订单列表
     * @return 订单列表集合
     */
    public List<OrderVO> selectOrderList(OrderQuery order);

    /**
     * 新增订单列表
     *
     * @param order 订单列表
     * @return 结果
     */
    public int insertOrder(Order order);

    /**
     * 修改订单列表
     *
     * @param order 订单列表
     * @return 结果
     */
    public int updateOrder(Order order);

    /**
     * 批量删除订单列表
     *
     * @param ids 需要删除的订单列表主键集合
     * @return 结果
     */
    public int deleteOrderByIds(Long[] ids);

    /**
     * 删除订单列表信息
     *
     * @param id 订单列表主键
     * @return 结果
     */
    public int deleteOrderById(Long id);
}
